| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__GetCpuGroupListRequest Struct Reference
Call Pickup Group

Get Call Pickup Group List request. More...

`#include <osv-if-doc.h>`

## Public Attributes
xsd__string | OperatorId
| Operator Id. More...
unsp__BGName | BGName
| Business Group Name. More...
xsd__int * | CpuGroupId
| The Call Pickup Group ID to filter on. More...
wchar_t * | CpuGroupName
| The Call Pickup Group Name to filter on. More...
xsd__string | LocalMember
| The Local Member Service ID to filter on. More...
int * | RemoteGroupNumber
| The Remote Call Pickup Group Number to filter on. More...
xsd__string | RemoteGroupAccessCode
| The Remote Call Pickup Group Access Code to filter on. More...
struct unsp__Paging * | Paging
| Standard paging structure. More...
enum unsp__CpuGroupSortType * | SortType
| Call Pickup Group Sort Type. More...
enum unsp__SortOrder * | SortOrder
| Standard sorting structure. More...

## Detailed Description

Get Call Pickup Group List request.

Used by unsp__GetCpuGroupList(), unsp__GetCpuGroupMemberList()

## Member Data Documentation

## ◆ BGName

unsp__BGName unsp__GetCpuGroupListRequest::BGName

Business Group Name.

required: true

See also
  unsp__BGName

## ◆ CpuGroupId

xsd__int* unsp__GetCpuGroupListRequest::CpuGroupId

The Call Pickup Group ID to filter on.

required: false
default value[range]: NA [1..10000]

## ◆ CpuGroupName

wchar_t* unsp__GetCpuGroupListRequest::CpuGroupName

The Call Pickup Group Name to filter on.

required: false
default value[range]: NA [1..24]

## ◆ LocalMember

xsd__string unsp__GetCpuGroupListRequest::LocalMember

The Local Member Service ID to filter on.

required: false

See also
  unsp__ServiceId

## ◆ OperatorId

xsd__string unsp__GetCpuGroupListRequest::OperatorId

Operator Id.

See also
  unsp__OperatorId

## ◆ Paging

struct unsp__Paging* unsp__GetCpuGroupListRequest::Paging

Standard paging structure.

required: false

## ◆ RemoteGroupAccessCode

xsd__string unsp__GetCpuGroupListRequest::RemoteGroupAccessCode

The Remote Call Pickup Group Access Code to filter on.

required: false
default value[range]: NA [1..15]

## ◆ RemoteGroupNumber

int* unsp__GetCpuGroupListRequest::RemoteGroupNumber

The Remote Call Pickup Group Number to filter on.

required: false
default value[range]: NA [1..10000]

## ◆ SortOrder

enum unsp__SortOrder* unsp__GetCpuGroupListRequest::SortOrder

Standard sorting structure.

required: false

## ◆ SortType

enum unsp__CpuGroupSortType* unsp__GetCpuGroupListRequest::SortType

Call Pickup Group Sort Type.

required: false
default value[range]: SortByLcpgID

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h